package com.jxy.marketall.enums;

/**
 * @Description 订阅指标-channel枚举类
 * @Date 2022/6/10 10:13
 * @Author 杜懿
 */
public enum ChannelType {

    BTC(1,"BTCOnChain","BTC链上指标"),
    ETH(2,"ETHOnChain","ETH链上指标"),
    BTC_UNCHAIN( 3,"BTCUnChain","BTC非链指标"),
    ETH_UNCHAIN( 4,"ETHUnChain","ETH非链指标"),
    STABLE_COINS(5,"StableCoins","稳定币"),
    MACROECONOMICS(6,"Macroeconomics","宏观经济"),
    PAYMENTS(7,"Payments","支付相关"),
    WORKORDERS( 8,"WorkOrders","工单相关"),
    ACTIVITIES(9,"Activities","活动相关"),
    OBSERVATIONS(10,"Observations","观察报告"),
    BREAKINGS(11,"Breakings","重大消息");

    private final int id;
    private final String channel;
    private final String cn;

    ChannelType(int id,String channel, String cn)
    {
        this.id = id;
        this.channel = channel;
        this.cn = cn;
    }

    public int getId()
    {
        return id;
    }

    public String getChannel()
    {
        return channel;
    }


    public String getCn()
    {
        return cn;
    }

    //public static ChannelType getStatusById(int id){
    //    for (ChannelType s : ChannelType.values()) {
    //        if(s.getId()==id){
    //            return s;
    //        }
    //    }
    //    return null;
    //}

}
